For Developers
Delete Team Member
DELETE https://ed.link/api/v2/teams/:team_id/members/:membership_id
Removes a member from the team, immediately revoking their access privileges.
Permissions
Requires the memberships.delete system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:membership_id | UUID | Yes | The ID of the membership to remove. |
Sample Request
const response = await axios.delete(
`https://ed.link/api/v2/teams/${team_id}/members/${membership_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "6a9e99a8-e165-4d0d-9b7d-6062a4be682d",
"deleted": true
}
}
